DOCS
Dashboardnorth_eastGet an API keyvpn_key
PAI Chat·Endpoint
PATCH/chatbot/{chatbotId}/folder/{folderId}

Rename a folder

Rename a folder

DELETE/chatbot/{chatbotId}/folder/{folderId}arrow_forward
tune
Parameters
chatbotIdrequiredpath
string (uuid)
The UUID of the chatbot
folderIdrequiredpath
string (uuid)
The UUID of the folder to rename
upload
Request body
namerequired
string
The new name for the folder
double_arrow
Returns 200
idrequired
string (uuid)
namerequired
string
chatbotIdrequired
string (uuid)
createdAtrequired
string (date-time)
updatedAtrequired
string (date-time)
report
Errors
StatusDescription
404Default Response
409Default Response
500Default Response
north_east
Request
curl -X PATCH 'https://chat-api-dev.paicloud.ai//chatbot/{chatbotId}/folder/{folderId}' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "name"
}'
south_west
Response
200 OK
application/json
{
  "id": "00000000-0000-0000-0000-000000000001",
  "name": "name",
  "chatbotId": "00000000-0000-0000-0000-000000000001",
  "createdAt": "2026-01-01T00: 00:00Z",
  "updatedAt": "2026-01-01T00: 00:00Z"
}